LibreOffice: XNamedNodeMap Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XNamedNodeMap Interface Reference

`import "XNamedNodeMap.idl";`

Inheritance diagram for XNamedNodeMap:

## Public Member Functions
long | getLength ()
| The number of nodes in this map.
XNode | getNamedItem ([in] string name)
| Retrieves a node specified by local name.
XNode | getNamedItemNS ([in] string namespaceURI,[in] string localName)
| Retrieves a node specified by local name and namespace URI.
XNode | item ([in] long index)
| Returns a node specified by index.
XNode | removeNamedItem ([in] string name) raises (DOMException)
| Removes a node specified by name.
XNode | removeNamedItemNS ([in] string namespaceURI, [in] string localName) raises (DOMException)
| Removes a node specified by local name and namespace URI.
XNode | setNamedItem ([in] XNode arg) raises (DOMException)
| Adds a node using its nodeName attribute.
XNode | setNamedItemNS ([in] XNode arg) raises (DOMException)
| Adds a node using its namespaceURI and localName.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Function Documentation

## ◆ getLength()

long getLength | ( |  | ) |

The number of nodes in this map.

## ◆ getNamedItem()

XNode getNamedItem | ( | [in] string | name | ) |

Retrieves a node specified by local name.

## ◆ getNamedItemNS()

XNode getNamedItemNS | ( | [in] string | namespaceURI,
|  | [in] string | localName )

Retrieves a node specified by local name and namespace URI.

## ◆ item()

XNode item | ( | [in] long | index | ) |

Returns a node specified by index.

## ◆ removeNamedItem()

XNode removeNamedItem | ( | [in] string | name | ) |
raises | ( | DOMException ) |  |  |

Removes a node specified by name.

Throws: DOMException - NOT_FOUND_ERR: Raised if there is no node named name in this map. NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly.

## ◆ removeNamedItemNS()

XNode removeNamedItemNS | ( | [in] string | namespaceURI,
|  | [in] string | localName )
raises | ( | DOMException ) |  |  |

Removes a node specified by local name and namespace URI.

Throws: DOMException - NOT_FOUND_ERR: Raised if there is no node with the specified namespaceURI and localName in this map. NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly.

## ◆ setNamedItem()

XNode setNamedItem | ( | [in] XNode | arg | ) |
raises | ( | DOMException ) |  |  |

Adds a node using its nodeName attribute.

Throws: DOMException - WRONG_DOCUMENT_ERR: Raised if arg was created from a different document than the one that created this map. NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly. INUSE_ATTRIBUTE_ERR: Raised if arg is an Attr that is already an attribute of another Element object. The DOM user must explicitly clone Attr nodes to re-use them in other elements. HIERARCHY_REQUEST_ERR: Raised if an attempt is made to add a node doesn't belong in this NamedNodeMap. Examples would include trying to insert something other than an Attr node into an Element's map of attributes, or a non-Entity node into the DocumentType's map of Entities.

## ◆ setNamedItemNS()

XNode setNamedItemNS | ( | [in] XNode | arg | ) |
raises | ( | DOMException ) |  |  |

Adds a node using its namespaceURI and localName.

Throws: DOMException - WRONG_DOCUMENT_ERR: Raised if arg was created from a different document than the one that created this map. NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly. INUSE_ATTRIBUTE_ERR: Raised if arg is an Attr that is already an attribute of another Element object. The DOM user must explicitly clone Attr nodes to re-use them in other elements. HIERARCHY_REQUEST_ERR: Raised if an attempt is made to add a node doesn't belong in this NamedNodeMap. Examples would include trying to insert something other than an Attr node into an Element's map of attributes, or a non-Entity node into the DocumentType's map of Entities. NOT_SUPPORTED_ERR: Always thrown if the current document does not support the "XML" feature, since namespaces were defined by XML.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XNamedNodeMap.idl